diff --git a/functional/SceneGraphTests/src/test/scenegraph/binding/Factories.java b/functional/SceneGraphTests/src/test/scenegraph/binding/Factories.java
--- a/functional/SceneGraphTests/src/test/scenegraph/binding/Factories.java
+++ b/functional/SceneGraphTests/src/test/scenegraph/binding/Factories.java
@@ -91,7 +91,7 @@
     ArcTo(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            MoveTo moveTo = MoveToBuilder.create().x(50).y(50).build();
+            MoveTo moveTo = new MoveTo(50, 50);
 
             ArcTo node = new ArcTo();
             node.setX(100.0f);
@@ -99,7 +99,7 @@
             node.setRadiusX(50.0f);
             node.setRadiusY(50.0f);
 
-            Path path = PathBuilder.create().elements(moveTo, node).build();
+            Path path = new Path(moveTo, node);
             addStroke(path);
             return new BindingApp.NodeAndBindee(path, node);
         }
@@ -137,7 +137,7 @@
     CubicCurveTo(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            MoveTo moveTo = MoveToBuilder.create().x(50).y(50).build();
+            MoveTo moveTo = new MoveTo(50, 50);
 
             CubicCurveTo node = new CubicCurveTo();
             node.setControlX1(80.0f);
@@ -146,7 +146,7 @@
             node.setControlX2(60.0f);
             node.setControlY2(-50.0f);
 
-            Path path = PathBuilder.create().elements(moveTo, node).build();
+            Path path = new Path(moveTo, node);
             addStroke(path);
             return new BindingApp.NodeAndBindee(path, node);
         }
@@ -166,9 +166,9 @@
     HLineTo(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            MoveTo moveTo = MoveToBuilder.create().x(50).y(50).build();
+            MoveTo moveTo = new MoveTo(50, 50);
             HLineTo node = new HLineTo(100);
-            Path path = PathBuilder.create().elements(moveTo, node).build();
+            Path path = new Path(moveTo, node);
             addStroke(path);
             return new BindingApp.NodeAndBindee(path, node);
         }
@@ -176,7 +176,7 @@
     Line(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            Line node = LineBuilder.create().startX(20).startY(20).endX(100).endY(50).build();
+            Line node = new Line(20, 20, 100, 50);
             addStroke(node);
             return new BindingApp.NodeAndBindee(node, node);
         }
@@ -184,11 +184,11 @@
     LineTo(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            MoveTo moveTo = MoveToBuilder.create().x(50).y(50).build();
+            MoveTo moveTo = new MoveTo(50, 50);
 
             LineTo node = new LineTo(100, 80);
 
-            Path path = PathBuilder.create().elements(moveTo, node).build();
+            Path path = new Path(moveTo, node);
             addStroke(path);
             return new BindingApp.NodeAndBindee(path, node);
         }
@@ -196,11 +196,11 @@
     MoveTo(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            MoveTo moveTo = MoveToBuilder.create().x(50).y(50).build();
+            MoveTo moveTo = new MoveTo(50, 50);
 
             LineTo node = new LineTo(100, 80);
 
-            Path path = PathBuilder.create().elements(moveTo, node).build();
+            Path path = new Path(moveTo, node);
             addStroke(path);
             return new BindingApp.NodeAndBindee(path, moveTo);
         }
@@ -208,12 +208,12 @@
     Path(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            MoveTo moveTo = MoveToBuilder.create().x(50).y(50).build();
+            MoveTo moveTo = new MoveTo(50, 50);
 
             LineTo node = new LineTo(100, 80);
             LineTo node2 = new LineTo(200, 180);
 
-            Path path = PathBuilder.create().elements(moveTo, node, node2).build();
+            Path path = new Path(moveTo, node, node2);
             addStroke(path);
             return new BindingApp.NodeAndBindee(path, path);
         }
@@ -264,16 +264,19 @@
     QuadCurveTo(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            MoveTo moveTo = MoveToBuilder.create().x(50).y(50).build();
-            QuadCurveTo node = QuadCurveToBuilder.create().controlX(125).controlY(0).build();
-            Path path = PathBuilder.create().elements(moveTo, node).build();
+            MoveTo moveTo = new MoveTo(50, 50);
+            QuadCurveTo node = new QuadCurveTo();
+            node.setControlX(125);
+            node.setControlY(0);
+            Path path = new Path(moveTo, node);
             addStroke(path);
             return new BindingApp.NodeAndBindee(path, path);        }
     }),
     SVGPath(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            SVGPath node = SVGPathBuilder.create().content("M40,60 C42,148 144,30 25,32").build();
+            SVGPath node = new SVGPath();
+            node.setContent("M40,60 C42,148 144,30 25,32");
             addStroke(node);
             return new BindingApp.NodeAndBindee(node, node);
         }
@@ -281,9 +284,9 @@
     VLineTo(shapes, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            MoveTo moveTo = MoveToBuilder.create().x(50).y(50).build();
+            MoveTo moveTo = new MoveTo(50, 50);
             VLineTo node = new VLineTo(100);
-            Path path = PathBuilder.create().elements(moveTo, node).build();
+            Path path = new Path(moveTo, node);
             addStroke(path);
             return new BindingApp.NodeAndBindee(path, node);
         }
@@ -320,7 +323,7 @@
             Blend b = new Blend();
             b.setOpacity(0.7);
             b.setMode(BlendMode.ADD);
-            b.setTopInput(ColorInputBuilder.create().paint(Color.BLUE).x(30).y(30).width(100).height(80).build());
+            b.setTopInput(new ColorInput(30, 30, 100, 80, Color.BLUE));
             rect.setEffect(b);
             Group group = new Group(rect0,rect);
                 return new NodeAndBindee(group, b);
@@ -332,8 +335,12 @@
             Group group = new Group();
             Bloom bloom = new Bloom();
             group.setEffect(bloom);
-            group.getChildren().add(RectangleBuilder.create().x(10).y(10).width(160).height(80).fill(Color.DARKBLUE).build());
-            group.getChildren().add(RectangleBuilder.create().x(50).y(50).width(50).height(50).fill(Color.YELLOW).build());
+            Rectangle r1 = new Rectangle (10, 10, 160, 80);
+            r1.setFill(Color.DARKBLUE);
+            Rectangle r2 = new Rectangle (50, 50, 50, 50);
+            r1.setFill(Color.YELLOW);
+            group.getChildren().add(r1);
+            group.getChildren().add(r2);
             return new NodeAndBindee(group, bloom);
         }
         })
@@ -365,10 +372,14 @@
 
         public NodeAndBindee create() {
             Group group = new Group();
-            DisplacementMap dm = DisplacementMapBuilder.create().mapData(Consts.MAP_WAVES).build();
+            DisplacementMap dm = new DisplacementMap(Consts.MAP_WAVES);
             group.setEffect(dm);
-            group.getChildren().add(RectangleBuilder.create().x(50).y(50).width(200).height(80).fill(Color.DARKBLUE).build());
-            group.getChildren().add(RectangleBuilder.create().x(0).y(0).width(250).height(200).fill(Color.TRANSPARENT).build());
+            Rectangle r1 = new Rectangle (50, 50, 200, 80);
+            r1.setFill(Color.DARKBLUE);
+            Rectangle r2 = new Rectangle (0, 0, 250, 200);
+            r1.setFill(Color.TRANSPARENT);
+            group.getChildren().add(r1);
+            group.getChildren().add(r2);
             return new NodeAndBindee(group, dm);
         }
         })
@@ -376,7 +387,12 @@
     ,Flood(effects, new EffectFactory() {
             @Override
             public Effect getEffect() {
-                return ColorInputBuilder.create().x(0).y(0).width(50).height(50).build();
+                ColorInput temp = new ColorInput();
+                temp.setX(0);
+                temp.setY(0);
+                temp.setWidth(50);
+                temp.setHeight(50);
+                return temp;
             }
         })
 
@@ -396,9 +412,7 @@
     ,Identity(effects, new EffectFactory() {
             @Override
             public Effect getEffect() {
-                return ImageInputBuilder.create().
-                        source(new Image(Factories.class.getResourceAsStream("/test/scenegraph/resources/car.png"))).
-                        build();
+                return new ImageInput(new Image(Factories.class.getResourceAsStream("/test/scenegraph/resources/car.png")));
             }
         })
 
@@ -578,7 +592,10 @@
     ScrollBar(controls, new DefaultFactory() {
 
         public NodeAndBindee create() {
-            ScrollBar node = ScrollBarBuilder.create().min(0).max(100).value(50).build();
+            ScrollBar node = new ScrollBar();
+            node.setMin(0);
+            node.setMax(100);
+            node.setValue(50);
             prepareControl(node);
             return new BindingApp.NodeAndBindee(node, node);
         }
@@ -739,8 +756,12 @@
 
         public NodeAndBindee create() {
                 Effect effect = getEffect();
-                Rectangle rect = RectangleBuilder.create().x(100).y(100).width(100).height(100).fill(Color.LIGHTGREEN).
-                        stroke(Color.DARKGREEN).arcHeight(20).arcWidth(30).effect(effect).build();
+                Rectangle rect = new Rectangle(100, 100, 100, 100);
+                rect.setFill(Color.LIGHTGREEN);
+                rect.setStroke(Color.DARKGREEN);
+                rect.setArcHeight(20);
+                rect.setArcWidth(30);
+                rect.setEffect(effect);
                 return new NodeAndBindee(rect, effect);
         }
 
diff --git a/functional/SceneGraphTests/src/test/scenegraph/fullscreen/FSTestApp.java b/functional/SceneGraphTests/src/test/scenegraph/fullscreen/FSTestApp.java
--- a/functional/SceneGraphTests/src/test/scenegraph/fullscreen/FSTestApp.java
+++ b/functional/SceneGraphTests/src/test/scenegraph/fullscreen/FSTestApp.java
@@ -44,8 +44,7 @@
 import javafx.scene.layout.*;
 import javafx.scene.paint.Color;
 import javafx.scene.shape.Circle;
-import javafx.scene.shape.CircleBuilder;
-import javafx.scene.shape.LineBuilder;
+import javafx.scene.shape.Line;
 import javafx.scene.text.Text;
 import javafx.stage.Modality;
 import javafx.stage.Screen;
@@ -80,107 +79,83 @@
         primaryStage.setTitle("FSTestApp");
         primaryStage.setResizable(resizable);
 
-        GridPane buttonsPane = GridPaneBuilder.create()
-                .padding(new Insets(10))
-                .alignment(Pos.CENTER)
-                .columnConstraints(new ColumnConstraints(200), new ColumnConstraints(200))
-                .rowConstraints(new RowConstraints(30), new RowConstraints(30),
-                        new RowConstraints(30), new RowConstraints(30),
-                        new RowConstraints(30))
-                .build();
+        GridPane buttonsPane = new GridPane();
+        buttonsPane.setPadding(new Insets(10));
+        buttonsPane.setAlignment(Pos.CENTER);
+        buttonsPane.getColumnConstraints().add(new ColumnConstraints(200));
+        buttonsPane.getColumnConstraints().add(new ColumnConstraints(200));
+        buttonsPane.getRowConstraints().add(new RowConstraints(30));
+        buttonsPane.getRowConstraints().add(new RowConstraints(30));
+        buttonsPane.getRowConstraints().add(new RowConstraints(30));
+        buttonsPane.getRowConstraints().add(new RowConstraints(30));
+        buttonsPane.getRowConstraints().add(new RowConstraints(30));
 
-        final TextArea logTextArea = TextAreaBuilder.create()
-                .editable(false)
-                .build();
+        final TextArea logTextArea = new TextArea();
+        logTextArea.setEditable(false);
 
         //Timer for update logTextArea
-        Timeline updateLogTimeline = TimelineBuilder.create()
-                .keyFrames(new KeyFrame(Duration.seconds(0.1), new EventHandler<ActionEvent>() {
-
+        Timeline updateLogTimeline = new Timeline(new KeyFrame(Duration.seconds(0.1), new EventHandler<ActionEvent>() {
                     public void handle(ActionEvent t) {
                         logTextArea.insertText(logTextArea.getLength(), log.toString());
                         log.delete(0, log.length());
 
                     }
-                }, ( KeyValue[])null))  // cast null to suppress compiler warning
-                .cycleCount(-1)
-                .build();
+                }, ( KeyValue[])null));  // cast null to suppress compiler warning
+        updateLogTimeline.setCycleCount(-1);
 
         //<editor-fold defaultstate="collapsed" desc="Menu">
-        MenuBar menu = MenuBarBuilder.create()
-                .menus(
-                MenuBuilder.create()
-                    .text("_Menu1")
-                    .onShown(new EventHandler<Event>() {
-
+        Menu menu1 = new Menu("_Menu1");
+        menu1.setOnShown(new EventHandler<Event>() {
                         public void handle(Event t) {
                             log.append("Menu 1 Shown\n");
                         }
-                    })
-                    .onHidden(new EventHandler<Event>() {
-
+        });
+        menu1.setOnHidden(new EventHandler<Event>() {
                         public void handle(Event t) {
                             log.append("Menu 1 Hidden\n");
                         }
-                    })
-                    .mnemonicParsing(true)
-                    .items(
-                        MenuItemBuilder.create()
-                            .mnemonicParsing(true)
-                            .onAction(new EventHandler<ActionEvent>() {
-
+        });
+        menu1.setMnemonicParsing(true);
+        MenuItem mi11 = new MenuItem("Menu _Item 1");
+        mi11.setAccelerator(KeyCombination.keyCombination("ctrl+m"));
+        mi11.setMnemonicParsing(true);
+        mi11.setOnAction(new EventHandler<ActionEvent>() {
                                 public void handle(ActionEvent t) {
                                     log.append("Menu Item 1 Action\n");
                                 }
-                            })
-                            .accelerator(KeyCombination.keyCombination("ctrl+m"))
-                            .text("Menu _Item 1")
-                            .build(),
-                        MenuItemBuilder.create()
-                            .mnemonicParsing(true)
-                            .text("Menu I_tem 2")
-                            .build())
-                    .build(),
-                MenuBuilder.create()
-                    .mnemonicParsing(true)
-                    .text("M_enu2")
-                    .onShown(new EventHandler<Event>() {
+        });
+        MenuItem mi12 = new MenuItem("Menu I_tem 2");
+        mi12.setMnemonicParsing(true);
+        menu1.getItems().addAll(mi11, mi12);
 
+        Menu menu2 = new Menu("M_enu2");
+        menu2.setMnemonicParsing(true);
+        menu2.setOnShown(new EventHandler<Event>() {
                         public void handle(Event t) {
                             log.append("Menu 2 Shown\n");
                         }
-                    })
-                    .onHidden(new EventHandler<Event>() {
-
+        });
+        menu2.setOnHidden(new EventHandler<Event>() {
                         public void handle(Event t) {
                             log.append("Menu 2 Hidden\n");
                         }
-                    })
-                    .items(
-                        MenuItemBuilder.create()
-                            .mnemonicParsing(true)
-                            .text("Menu _Item 1")
-                            .build(),
-                        MenuItemBuilder.create()
-                            .mnemonicParsing(true)
-                            .text("Menu I_tem 2")
-                            .build(),
-                        MenuItemBuilder.create()
-                            .mnemonicParsing(true)
-                            .text("Menu Ite_m 3")
-                            .build())
-                    .build())
-                .useSystemMenuBar(true)
-                .build();
+        });
+        MenuItem mi21 = new MenuItem("Menu _Item 1");
+        mi21.setMnemonicParsing(true);
+        MenuItem mi22 = new MenuItem("Menu I_tem 2");
+        mi22.setMnemonicParsing(true);
+        MenuItem mi23 = new MenuItem("Menu Ite_m 3");
+        mi23.setMnemonicParsing(true);
+        menu1.getItems().addAll(mi21, mi22, mi23);
+
+        MenuBar menu = new MenuBar(menu1, menu2);
+        menu.setUseSystemMenuBar(true);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Fullscreen indicator">
-        final Circle fullscreenIndicator =
-                CircleBuilder.create()
-                .radius(6)
-                .fill(Color.RED)
-                .effect(new InnerShadow())
-                .build();
+        final Circle fullscreenIndicator = new Circle(6);
+        fullscreenIndicator.setFill(Color.RED);
+        fullscreenIndicator.setEffect(new InnerShadow());
 
         primaryStage.fullScreenProperty().addListener(new ChangeListener<Boolean>() {
 
@@ -192,97 +167,75 @@
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Fullscreen false Button">
-        Button setFSFalseButton =  ButtonBuilder.create()
-                .text("Set fullscreen false")
-                .alignment(Pos.CENTER)
-                .prefWidth(180)
-                .onMouseClicked(new EventHandler<MouseEvent>() {
-
+        Button setFSFalseButton = new Button("Set fullscreen false");
+        setFSFalseButton.setAlignment(Pos.CENTER);
+        setFSFalseButton.setPrefWidth(180);
+        setFSFalseButton.setOnMouseClicked(new EventHandler<MouseEvent>() {
                     @Override
                     public void handle(MouseEvent arg0) {
                         primaryStage.setFullScreen(false);
                     }
-                })
-                .build();
-
+        });
         buttonsPane.add(setFSFalseButton, 0, 0);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Fullscreen true Button">
-        Button setFSTrueButton =  ButtonBuilder.create()
-                .text("Set fullscreen true")
-                .alignment(Pos.CENTER)
-                .prefWidth(180)
-                .onMouseClicked(new EventHandler<MouseEvent>() {
-
+        Button setFSTrueButton = new Button("Set fullscreen true");
+        setFSTrueButton.setAlignment(Pos.CENTER);
+        setFSTrueButton.setPrefWidth(180);
+        setFSTrueButton.setOnMouseClicked(new EventHandler<MouseEvent>() {
                     @Override
                     public void handle(MouseEvent arg0) {
                         primaryStage.setFullScreen(true);
                     }
-                })
-                .build();
-
+        });
         buttonsPane.add(setFSTrueButton, 1, 0);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Center Button">
-        Button centerButton =  ButtonBuilder.create()
-                .text("Center")
-                .alignment(Pos.CENTER)
-                .prefWidth(180)
-                .onMouseClicked(new EventHandler<MouseEvent>() {
-
+        Button centerButton = new Button("Center");
+        centerButton.setAlignment(Pos.CENTER);
+        centerButton.setPrefWidth(180);
+        centerButton.setOnMouseClicked(new EventHandler<MouseEvent>() {
                     @Override
                     public void handle(MouseEvent arg0) {
                         primaryStage.centerOnScreen();
                     }
-                })
-                .build();
-
+        });
         buttonsPane.add(centerButton, 0, 1);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Close Button">
-        Button closeButton =  ButtonBuilder.create()
-                .text("Close")
-                .alignment(Pos.CENTER)
-                .prefWidth(180)
-                .onMouseClicked(new EventHandler<MouseEvent>() {
-
+        Button closeButton = new Button("Close");
+        closeButton.setAlignment(Pos.CENTER);
+        closeButton.setPrefWidth(180);
+        closeButton.setOnMouseClicked(new EventHandler<MouseEvent>() {
                     @Override
                     public void handle(MouseEvent arg0) {
                         primaryStage.close();
                     }
-                })
-                .build();
-
+        });
         buttonsPane.add(closeButton, 1, 1);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Size to scene Button">
-        Button sizeToSceneButton =  ButtonBuilder.create()
-                .text("Size to scene")
-                .alignment(Pos.CENTER)
-                .prefWidth(180)
-                .onMouseClicked(new EventHandler<MouseEvent>() {
-
+        Button sizeToSceneButton = new Button("Size to scene");
+        sizeToSceneButton.setAlignment(Pos.CENTER);
+        sizeToSceneButton.setPrefWidth(180);
+        sizeToSceneButton.setOnMouseClicked(new EventHandler<MouseEvent>() {
                     @Override
                     public void handle(MouseEvent arg0) {
                         primaryStage.sizeToScene();
                     }
-                })
-                .build();
-
+        });
         buttonsPane.add(sizeToSceneButton, 0, 2);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Show modality window Button">
-        Button showModalityWindowButton =  ButtonBuilder.create()
-                .text("Show modality window")
-                .alignment(Pos.CENTER)
-                .prefWidth(180)
-                .onMouseClicked(new EventHandler<MouseEvent>() {
-
+        Button showModalityWindowButton = new Button("Show modality window");
+        showModalityWindowButton.setAlignment(Pos.CENTER);
+        showModalityWindowButton.setPrefWidth(180);
+        showModalityWindowButton.setOnMouseClicked(new EventHandler<MouseEvent>() {
                     @Override
                     public void handle(MouseEvent arg0) {
                         Stage modalityStage = new Stage();
@@ -291,69 +244,45 @@
                         modalityStage.setResizable(resizable);
                         modalityStage.show();
                     }
-                })
-                .build();
-
+        });
         buttonsPane.add(showModalityWindowButton, 1, 2);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Resizable Button">
-        Button resizableButton = ButtonBuilder.create()
-                .text(resizable ? "Not resizable" : "Resizable")
-                .alignment(Pos.CENTER)
-                .prefWidth(180)
-                .onMouseClicked(new EventHandler<MouseEvent>() {
-
+        Button resizableButton = new Button();
+        resizableButton.setText(resizable ? "Not resizable" : "Resizable");
+        resizableButton.setAlignment(Pos.CENTER);
+        resizableButton.setPrefWidth(180);
+        resizableButton.setOnMouseClicked(new EventHandler<MouseEvent>() {
                     @Override
                     public void handle(MouseEvent arg0) {
                         runJVMProcess(FSTestApp.this.getClass().getName(), String.valueOf(!resizable));
                         primaryStage.close();
                     }
-                }).build();
-
+        });
         buttonsPane.add(resizableButton, 0, 3);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="Opacity Slider">
-        Slider opacitySlider =  SliderBuilder.create()
-                .maxWidth(180)
-                .value(1)
-                .min(0)
-                .max(1)
-                .build();
+        Slider opacitySlider = new Slider(0, 1, 1);
+        opacitySlider.setMaxWidth(180);
         primaryStage.opacityProperty().bindBidirectional(opacitySlider.valueProperty());
-
-
         buttonsPane.add(opacitySlider, 1, 3);
         //</editor-fold>
 
         //<editor-fold defaultstate="collapsed" desc="System menu ToggleButton">
-        ToggleButton useSystemMenuToggleButton =  ToggleButtonBuilder.create()
-                .text("Use system menu")
-                .alignment(Pos.CENTER)
-                .prefWidth(180)
-                .build();
-
+        ToggleButton useSystemMenuToggleButton = new ToggleButton("Use system menu");
+        useSystemMenuToggleButton.setAlignment(Pos.CENTER);
+        useSystemMenuToggleButton.setPrefWidth(180);
         menu.useSystemMenuBarProperty().bindBidirectional(useSystemMenuToggleButton.selectedProperty());
 
         buttonsPane.add(useSystemMenuToggleButton, 0, 4);
         //</editor-fold>
 
-        VBox root = VBoxBuilder.create()
-                .children(
-                    menu,
-                    HBoxBuilder.create()
-                        .alignment(Pos.CENTER)
-                        .padding(new Insets(5))
-                        .children(
-                            fullscreenIndicator,
-                            new Text("Fullscreen"))
-                        .build(),
-                    buttonsPane,
-                    logTextArea)
-                .build();
-
-
+        HBox temp = new HBox(fullscreenIndicator, new Text("Fullscreen"));
+        temp.setAlignment(Pos.CENTER);
+        temp.setPadding(new Insets(5));
+        VBox root = new VBox(menu, temp, buttonsPane, logTextArea);
         primaryStage.setScene(new Scene(root, 400, 400));
         primaryStage.setMinHeight(400);
         primaryStage.setMinWidth(400);
@@ -388,29 +317,16 @@
         double width = getMaxScreenWidth();
 
 
-        Pane root  = PaneBuilder.create()
-                .minHeight(height)
-                .minWidth(width)
-                .build();
+        Pane root  = new Pane();
+        root.setMinHeight(height);
+        root.setMinWidth(width);
 
         for (int x = 0; x < width; x+=10) {
-            root.getChildren().add(
-                    LineBuilder.create()
-                        .startX(x)
-                        .endX(x)
-                        .startY(0)
-                        .endY(height)
-                        .build());
+            root.getChildren().add(new Line(x, x, 0, height));
         }
 
         for (int y = 0; y < height; y+=10) {
-            root.getChildren().add(
-                    LineBuilder.create()
-                        .startX(0)
-                        .endX(width)
-                        .startY(y)
-                        .endY(y)
-                        .build());
+            root.getChildren().add(new Line(0, width, y, y));
         }
 
         return new Scene(root, 200, 200);
diff --git a/functional/SceneGraphTests/src/test/scenegraph/lcd/LCDTextTestApp.java b/functional/SceneGraphTests/src/test/scenegraph/lcd/LCDTextTestApp.java
--- a/functional/SceneGraphTests/src/test/scenegraph/lcd/LCDTextTestApp.java
+++ b/functional/SceneGraphTests/src/test/scenegraph/lcd/LCDTextTestApp.java
@@ -42,7 +42,6 @@
 import javafx.scene.text.FontSmoothingType;
 import javafx.scene.text.Text;
 import javafx.scene.text.TextAlignment;
-import javafx.scene.text.TextBuilder;
 import test.javaclient.shared.InteroperabilityApp;
 import test.javaclient.shared.Utils;
 
@@ -100,12 +99,10 @@
             public void changed(ObservableValue<? extends TestCollections> ov, TestCollections t, TestCollections newValue) {
                 actionChoice.setItems(FXCollections.observableArrayList(newValue.getActions()));
                 actionChoice.getSelectionModel().selectFirst();
-                lcdText = TextBuilder.create().text("Test text")
-                        .textAlignment(TextAlignment.CENTER)
-                        .style("-fx-font-size: 16;-fx-font-smoothing-type: lcd;")
-                        .fontSmoothingType(FontSmoothingType.LCD)
-                        .build();
-
+                lcdText = new Text("Test text");
+                lcdText.setTextAlignment(TextAlignment.CENTER);
+                lcdText.setStyle("-fx-font-size: 16;-fx-font-smoothing-type: lcd;");
+                lcdText.setFontSmoothingType(FontSmoothingType.LCD);
                 leftPane.getChildren().clear();
                 leftPane.getChildren().add(lcdText);
             }
diff --git a/functional/SceneGraphTests/src/test/scenegraph/lcd/LcdAPITestApp.java b/functional/SceneGraphTests/src/test/scenegraph/lcd/LcdAPITestApp.java
--- a/functional/SceneGraphTests/src/test/scenegraph/lcd/LcdAPITestApp.java
+++ b/functional/SceneGraphTests/src/test/scenegraph/lcd/LcdAPITestApp.java
@@ -26,9 +26,8 @@
 import javafx.geometry.Insets;
 import javafx.scene.Scene;
 import javafx.scene.layout.VBox;
-import javafx.scene.layout.VBoxBuilder;
 import javafx.scene.text.FontSmoothingType;
-import javafx.scene.text.TextBuilder;
+import javafx.scene.text.Text;
 import test.javaclient.shared.InteroperabilityApp;
 import test.javaclient.shared.Utils;
 
@@ -50,37 +49,26 @@
 
     @Override
     protected Scene getScene() {
-        VBox root = VBoxBuilder.create()
-                .padding(new Insets(10))
-                .spacing(10)
-                .children(
-                    TextBuilder.create()
-                        .id("GrayGray")
-                        .text("Text")
-                        .fontSmoothingType(FontSmoothingType.GRAY)
-                        .style("-fx-font-size: 16;-fx-font-smoothing-type: gray; ")
-                        .build(),
-                    TextBuilder.create()
-                        .id("LCDGray")
-                        .text("Text")
-                        .fontSmoothingType(FontSmoothingType.LCD)
-                        .style("-fx-font-size: 16;-fx-font-smoothing-type: gray; ")
-                        .build(),
-                    TextBuilder.create()
-                        .id("GrayLCD")
-                        .text("Text")
-                        .fontSmoothingType(FontSmoothingType.GRAY)
-                        .style("-fx-font-size: 16;-fx-font-smoothing-type: lcd; ")
-                        .build(),
-                    TextBuilder.create()
-                        .id("LCDLCD")
-                        .text("Text")
-                        .fontSmoothingType(FontSmoothingType.LCD)
-                        .style("-fx-font-size: 16;-fx-font-smoothing-type: lcd;")
-                        .build()
-                    )
-                .build();
-
+        VBox root = new VBox();
+        root.setPadding(new Insets(10));
+        root.setSpacing(10);
+        Text t1 = new Text("Text");
+        t1.setId("GrayGray");
+        t1.setFontSmoothingType(FontSmoothingType.GRAY);
+        t1.setStyle("-fx-font-size: 16;-fx-font-smoothing-type: gray; ");
+        Text t2 = new Text("Text");
+        t2.setId("LCDGray");
+        t2.setFontSmoothingType(FontSmoothingType.LCD);
+        t2.setStyle("-fx-font-size: 16;-fx-font-smoothing-type: gray; ");
+        Text t3 = new Text("Text");
+        t3.setId("GrayLCD");
+        t3.setFontSmoothingType(FontSmoothingType.GRAY);
+        t3.setStyle("-fx-font-size: 16;-fx-font-smoothing-type: lcd; ");
+        Text t4 = new Text("Text");
+        t4.setId("LCDLCD");
+        t4.setFontSmoothingType(FontSmoothingType.LCD);
+        t4.setStyle("-fx-font-size: 16;-fx-font-smoothing-type: lcd;");
+        root.getChildren().addAll(t1, t2, t3, t4);
         return new Scene(root, 200, 200);
     }
 }
